# $Revision: 1.25 $, $Date: 2008/01/31 12:17:19 $
%include	/usr/lib/rpm/macros.php
%define		_class		Translation
%define		_status		stable
%define		_pearname	%{_class}

Summary:	%{_pearname} - class for creating multilingual websites
Summary(pl.UTF-8):	%{_pearname} - klasa do tworzenia wielojęzycznych portali
Name:		php-pear-%{_pearname}
Version:	1.2.6pl1
Release:	5
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	096296bfe322e4ba250f79bb885ac022
URL:		http://pear.php.net/package/Translation/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-DB
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class allows to store and retrieve all the strings on multilingual
site in the database. Class connects to any database using PHP PEAR
extension. The object should be created for every page. While creation
all the strings connected with specific page and the strings connected
with all the pages on the site are loaded into variable, so access to
them is quite fast and does not overload database server connection.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa ta pozwala na przechowywanie wszystkich łańcuchów znaków dla
wielojęzycznych serwisów w bazie danych i odczytywanie ich. Klasa
łączy się z dowolną bazą używając rozszerzenia PHP PEAR. Obiekt może
być tworzony dla każdej strony. Od utworzenia wszystkie łańcuchy
powiązane z daną stroną, a także łańcuchy powiązane ze wszystkimi
stronami z serwisu są wczytywane do zmiennej, więc dostęp do nich jest
szybki i nie przeciąża połączenia z serwerem baz danych.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%dir %{php_pear_dir}/%{_class}
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Translation.spec,v $
Revision 1.25  2008/01/31 12:17:19  glen
- rel 5

Revision 1.24  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.22  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.21  2006/03/29 22:29:28  glen
- rel 4 (rebuild with less deps)

Revision 1.20  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.19  2005/10/05 20:59:32  glen
- rel 3

Revision 1.18  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.17  2005/09/30 18:26:15  glen
- new pear packaging

Revision 1.16  2004/12/04 14:25:21  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.15  2004/05/30 13:13:53  adamg
- fixed english information about status of the package

Revision 1.14  2004/02/22 20:51:49  adamg
- updated to 1.2.6pl1

Revision 1.13  2004/01/24 16:40:20  adamg
- updated to 1.2.6

Revision 1.12  2003/10/07 20:56:16  adamg
- do not use macros in URL

Revision 1.11  2003/08/31 20:49:11  adamg
- more specific URL

Revision 1.10  2003/07/30 05:07:31  adamg
- updated to 1.2.5

Revision 1.9  2003/07/14 06:05:56  adamg
- updated to 1.2.4

Revision 1.8  2003/06/03 20:43:57  adamg
- adapterized

Revision 1.7  2003/05/28 08:58:48  adamg
- massive attack: added source0-md5

Revision 1.6  2003/05/25 06:25:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/02/05 15:59:43  blues
- 1.2.3 - bugfix stable release - STBR to Ra updates

Revision 1.4  2003/02/01 16:19:19  blues
- 1.2.2 - stable release - STBR to Ra updates

Revision 1.3  2002/10/14 23:51:55  misto
- new rpm-php-requires/provides scripts
- release 3

Revision 1.2  2002/10/11 11:30:45  qboosh
- pl description, release 2

Revision 1.1  2002/10/10 17:20:59  blues
- initial release - STBR
